Main Page Widgets Namespaces Book

# Gtk::WindowGroup Class Reference

Inheritance diagram for Gtk::WindowGroup:

[legend]

List of all members.

## Detailed Description

Limit the effect of grabs.

## Public Member Functions

void | add_window (Window& window)
| Adds a window to a Gtk::WindowGroup.
const GtkWindowGroup* | gobj () const
| Provides access to the underlying C GObject.
GtkWindowGroup* | gobj ()
| Provides access to the underlying C GObject.
GtkWindowGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | remove_window (Window& window)
| Removes a window from a Gtk::WindowGroup.
virtual | ~WindowGroup ()

## Static Public Member Functions

static Glib::RefPtr<WindowGroup> | create ()

## Protected Member Functions

| WindowGroup ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::WindowGroup> | wrap (GtkWindowGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::WindowGroup::~WindowGroup | ( |  | ) | `[virtual]`

Gtk::WindowGroup::WindowGroup | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::WindowGroup::add_window | ( | Window& | window | ) |

Adds a window to a Gtk::WindowGroup.

Parameters:

  | window | The Gtk::Window to add.

static Glib::RefPtr<WindowGroup> Gtk::WindowGroup::create | ( |  | ) | `[static]`

const GtkWindowGroup* Gtk::WindowGroup::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkWindowGroup* Gtk::WindowGroup::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkWindowGroup* Gtk::WindowGroup::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::WindowGroup::remove_window | ( | Window& | window | ) |

Removes a window from a Gtk::WindowGroup.

Parameters:

  | window | The Gtk::Window to remove.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::WindowGroup> wrap | ( | GtkWindowGroup * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtk/gtkmm/window.h